Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::AllTermDocs Class Reference

`#include <AllTermDocs.h>`

Inheritance diagram for Lucene::AllTermDocs:

## Public Member Functions

| AllTermDocs (SegmentReaderPtr parent)
virtual | ~AllTermDocs ()
virtual String | getClassName ()
boost::shared_ptr< AllTermDocs > | shared_from_this ()
virtual bool | isDeleted (int32_t doc)
Public Member Functions inherited from Lucene::AbstractAllTermDocs
| AbstractAllTermDocs (int32_t maxDoc)
virtual | ~AbstractAllTermDocs ()
boost::shared_ptr < AbstractAllTermDocs > | shared_from_this ()
virtual void | seek (TermPtr term)
| Sets this to the data for a term. The enumeration is reset to the start of the data for this term. More...
virtual void | seek (TermEnumPtr termEnum)
| Sets this to the data for the current term in a TermEnum. This may be optimized in some implementations. More...
virtual int32_t | doc ()
| Returns the current document number. This is invalid until next() is called for the first time. More...
virtual int32_t | freq ()
| Returns the frequency of the term within the current document. This is invalid until next() is called for the first time. More...
virtual bool | next ()
| Moves to the next pair in the enumeration. Returns true if there is such a next pair in the enumeration. More...
virtual int32_t | read (Collection< int32_t > docs, Collection< int32_t > freqs)
| Attempts to read multiple entries from the enumeration, up to length of docs. Document numbers are stored in docs, and term frequencies are stored in freqs. Returns the number of entries read. Zero is only returned when the stream has been exhausted. More...
virtual bool | skipTo (int32_t target)
| Skips entries to the first beyond the current whose document number is greater than or equal to target. Returns true if there is such an entry. More...
virtual void | close ()
| Frees associated resources. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::AbstractAllTermDocs
static String | _getClassName ()
Static Public Member Functions inherited from Lucene::TermDocs
static String | _getClassName ()

## Protected Attributes

BitVectorWeakPtr | _deletedDocs
Protected Attributes inherited from Lucene::AbstractAllTermDocs
int32_t | maxDoc
int32_t | _doc

## Additional Inherited Members

Protected Member Functions inherited from Lucene::TermDocs
| TermDocs ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

Lucene::AllTermDocs::AllTermDocs | ( | SegmentReaderPtr | parent) |  |

virtual Lucene::AllTermDocs::~AllTermDocs | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::AllTermDocs::_getClassName | ( | ) |  |

inline static

virtual String Lucene::AllTermDocs::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::AbstractAllTermDocs.

virtual bool Lucene::AllTermDocs::isDeleted | ( | int32_t | doc) |  |

virtual

Implements Lucene::AbstractAllTermDocs.

boost::shared_ptr< AllTermDocs > Lucene::AllTermDocs::shared_from_this | ( | ) |  |

inline

## Field Documentation

BitVectorWeakPtr Lucene::AllTermDocs::_deletedDocs

protected

The documentation for this class was generated from the following file:

- AllTermDocs.h

clucene.sourceforge.net